<?php 
/**
 * Pico de estrellas - dibujo_rayas.php
 * 
 * @author    Bartolomé Sintes Marco <bartolome.sintes+mclibre@gmail.com>
 * @copyright 2012 Bartolomé Sintes Marco
 * @license   http://www.gnu.org/licenses/agpl.txt AGPL 3 or later
 * @version   2012-02-17
 * @link      http://www.mclibre.org
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

print "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?".">\n"; 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
       "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <title>Dibujos de rayas (Resultado). 
  Exámenes. PHP. Bartolomé Sintes Marco</title>
  <link href="mclibre_php_soluciones.css" rel="stylesheet" type="text/css" 
  title="Color" />
</head>
<body>

<h1>Dibujos de rayas (Resultado)</h1>
<?php

function recoge($var)
{ 
    $tmp = (isset($_REQUEST[$var])) ? strip_tags(trim(htmlspecialchars($_REQUEST[$var]))) : '';
    if (get_magic_quotes_gpc()) {
        $tmp = stripslashes($tmp);
    }
    return $tmp;
}

$tamano      = recoge('tamano');
$tamanoMinimo = 5;
$tamanoMaximo = 40;
$tamanoOk    = FALSE;
$rayas       = recoge('rayas');
$rayasMinimo = 2;
$rayasMaximo = 5;
$rayasOk     = FALSE;

if ($tamano=="") {
    print "<p class=\"aviso\">No ha escrito el tamaño.</p>\n";
} elseif (!ctype_digit($tamano)) { 
    print "<p class=\"aviso\">No ha escrito el tamaño "
        ."como número entero positivo.</p>\n";
} elseif ($tamano<$tamanoMinimo || $tamano>$tamanoMaximo) {
    print "<p class=\"aviso\">El tamaño debe estar entre $tamanoMinimo y $tamanoMaximo.</p>\n";
} else {
	$tamanoOk = TRUE;
}

if ($rayas=="") {
    print "<p class=\"aviso\">No ha escrito el número de rayas.</p>\n";
} elseif (!ctype_digit($rayas)) { 
    print "<p class=\"aviso\">No ha escrito el número de rayas "
        ."como número entero positivo.</p>\n";
} elseif ($rayas<$rayasMinimo || $rayas>$rayasMaximo) {
    print "<p class=\"aviso\">El número de rayas debe estar entre $rayasMinimo y $rayasMaximo.</p>\n";
} else {
	$rayasOk = TRUE;
}

if ($tamanoOk && $rayasOk) {
    print "<p>Tamaño: $tamano</p>";
    print "<p>Rayas: $rayas</p>";
    $espacio = floor($tamano/$rayas);
    print "<p>Número de espacios entre rayas: $espacio</p>";
    print "<p>Haré ".($rayas+1)." rayas ($rayas y una más al principio) cada $espacio espacios.</p>";
    print "<pre>";
    for ($j = 1; $j<=$rayas*$espacio+$rayas+1; $j++) {
        print "*";
        for ($k = 1; $k<=$rayas; $k++) {
            for ($i = 1; $i<=$espacio; $i++) {
                print " ";
            }
            print "*";
        }
        print "\n";
    }
    print "</pre>\n";
}

/*

if ($alturaOk) {
    print "<p>Altura: $altura</p>";
    
    print "<pre>";
    for ($j = $altura; $j>0; $j--) {
            print "  ";
        }
    print "* \n";
    for ($i = $altura; $i>1; $i--) {
        for ($j = $i; $j>1; $j--) {
            print "  ";
        }
        print "* ";
        for ($j = 0; $j<=2*($altura-$i); $j++) {
            print "  ";
        }
        print "* \n";
    }
    
    print "</pre>\n";
}

if ($alturaOk) {
    print "<p>Altura: $altura</p>";
    
    print "<pre>";
    for ($j = 1; $j<=$altura; $j++) {
        print "* ";
    }
    print "\n";
    for ($i = 1; $i<=$altura-2; $i++) {
        print "* ";
        for ($j = 1; $j<=$altura-2; $j++) {
            print "  ";
        }
        print "* ";
        print "\n";
    }
    for ($j = 1; $j<=$altura; $j++) {
        print "* ";
    }
    print "\n";
    print "</pre>\n";
}



*/

print "<p><a href=\"dibujo_rayas.html\">Volver al formulario.</a></p>\n";

?>

<address>
  Esta página forma parte del curso "Páginas web con PHP" disponible en <a
  href="http://www.mclibre.org/">http://www.mclibre.org</a><br />
  Autor: Bartolomé Sintes Marco<br />
  Última modificación de esta página: 17 de febrero de 2012
</address>
<p class="licencia">El programa PHP que genera esta página está bajo 
<a rel="license" href="http://www.gnu.org/licenses/agpl.txt">licencia AGPL 3 o
posterior</a>.</p>
</body>
</html>
